[[vertex]]

uniform mat4 mvp;

in vec2 pos;
in vec2 uvs;
out vec2 uv;

void main()
{
    uv = uvs;
    gl_Position = mvp * vec4(pos, 0.0, 1.0);
}

[[fragment]]

uniform mediump sampler2D tex;
uniform mediump vec4 col;

in mediump vec2 uv;
out mediump vec4 frag;

void main()
{
    mediump float a = texture(tex, uv).r;
    frag = vec4(col.rgb, a);
}
